You have no items in your shopping cart.
Search
Filters

Convert Multi-line Attributes to Single-line Attributes

Convert Multi-line Attributes to Single-line Attributes

Convert Multi-line Attributes to Single-line Attributes

Convert Multi-line Attributes to Single-line Attributes

Example, export from Inventor:

 

1 - Inventor Titleblock uses Multi-line Attributes:

Inventor Titleblock

 

2 - Titleblock in AutoCAD, all attributes are Multi-line:

Titleblock in AutoCAD

 autodesk autocad

 

3 - Edit the Titleblock and open the Visual LISP Editor found on the Manage Tab, then run vl-load-com:

Visual LISP Editor

 

4 - Copy paste the script:

Copy paste the script:

 

5 - Run the command:

Run the command

 

6 - Run ATTSYNC:

Run ATTSYNC

 

References for copy/paste

 

vl-load-com

{code}
; command that converts multi-line attributes to standard attributes
(defun c:convertMattribute (/ ss i)
(if (setq ss (ssget '((0 . "ATTDEF"))))
(progn
(setq i 0)
(repeat (sslength ss)
(vla-put-mtextattribute
(vlax-ename->vla-object
(ssname ss i))
:vlax-false
)
(setq i (1+ i))
)
)
)
(princ)
)

{code}

 

contact us now at a2k